package cn.forevermc.launcher.bean;

import javafx.geometry.Insets;
import javafx.scene.control.Label;
import javafx.scene.layout.Background;
import javafx.scene.layout.Border;
import com.imyeyu.fx.ui.components.popup.tips.AbstractPopupTips;
import com.imyeyu.fx.utils.BorderStroke;

/**
 * 弹出提示组件
 *
 * @author 夜雨
 * @since 2023-06-08 17:12
 */
public class MCPopupTips extends AbstractPopupTips<Label> {

	private static final Border BORDER = new BorderStroke("#25025C").width(3).build();
	private static final Insets PADDING = new Insets(4);

	public MCPopupTips() {
		this("");
	}

	public MCPopupTips(String text) {
		setNode(new Label(text));
		getNode().setBorder(BORDER);
		getNode().setPadding(PADDING);
		getNode().setTextFill(Colorful.WHITE);
		getNode().setBackground(Background.EMPTY);
	}
}
